fonts/unscii - The NetBSD Packages Collection

Bitmapped character-art friendly Unicode fonts

Unscii is a set of bitmapped Unicode fonts based on classic system
fonts. Unscii attempts to support character cell art well while also
being suitable for terminal and programming use.

The two main variants are unscii-8 (8x8) and unscii-16 (8x16). There
are also several alternative styles for unscii-8, as well as a 8x16
"full" variant that incorporates missing Unicode glyphs from Fixedsys
Excelsior and GNU Unifont. "unscii-16-full" falls under GPL because of
how Unifont is licensed; the other variants are in the Public Domain.

HEX and PCF are the only actual bitmapped formats here. HEX is the
same simple hexdump format as used by the Unifont project.

TTF, OTF and WOFF are vectorized because the bitmapped TTF fonts
generated by FontForge didn't seem to work anywhere. Fixes to this
problem are appreciated.

Build dependencies

fonts/bdftopcf fonts/fontforge textproc/p5-Text-CharWidth pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers lang/perl5

Runtime dependencies

devel/SDL graphics/SDL_image devel/SDL graphics/SDL_image

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfunscii-2.1.tgz
NetBSD 8.0earmv7hfunscii-1.1.tgz
NetBSD 8.0earmv7hfunscii-1.1.tgz
NetBSD 8.0i386unscii-1.1.tgz
NetBSD 8.0i386unscii-1.1nb2.tgz
NetBSD 8.0i386unscii-2.1.tgz
NetBSD 8.0powerpcunscii-1.1nb2.tgz
NetBSD 8.0powerpcunscii-2.1.tgz
NetBSD 8.0powerpcunscii-2.1.tgz
NetBSD 8.0x86_64unscii-1.1nb2.tgz
NetBSD 8.0x86_64unscii-1.1.tgz
NetBSD 8.0x86_64unscii-2.1.tgz
NetBSD 9.0aarch64unscii-2.1.tgz
NetBSD 9.0aarch64unscii-1.1.tgz
NetBSD 9.0aarch64unscii-1.1nb2.tgz
NetBSD 9.0aarch64unscii-2.1.tgz
NetBSD 9.0earmv6hfunscii-2.1.tgz
NetBSD 9.0earmv6hfunscii-1.1.tgz
NetBSD 9.0earmv6hfunscii-1.1nb2.tgz
NetBSD 9.0earmv6hfunscii-2.1.tgz
NetBSD 9.0earmv6hfunscii-2.1.tgz
NetBSD 9.0earmv7hfunscii-2.1.tgz
NetBSD 9.0earmv7hfunscii-1.1.tgz
NetBSD 9.0earmv7hfunscii-1.1.tgz
NetBSD 9.0earmv7hfunscii-1.1nb2.tgz
NetBSD 9.0earmv7hfunscii-2.1.tgz
NetBSD 9.0earmv7hfunscii-2.1.tgz
NetBSD 9.0i386unscii-1.1.tgz
NetBSD 9.0i386unscii-1.1nb2.tgz
NetBSD 9.0i386unscii-2.1.tgz
NetBSD 9.0mips64ebunscii-2.1.tgz
NetBSD 9.0mips64ebunscii-1.1nb2.tgz
NetBSD 9.0mips64ebunscii-2.1.tgz
NetBSD 9.0powerpcunscii-2.1.tgz
NetBSD 9.0powerpcunscii-1.1.tgz
NetBSD 9.0powerpcunscii-1.1nb2.tgz
NetBSD 9.0sparc64unscii-2.1.tgz
NetBSD 9.0sparc64unscii-1.1nb2.tgz
NetBSD 9.0sparc64unscii-2.1.tgz
NetBSD 9.0x86_64unscii-2.1.tgz
NetBSD 9.0x86_64unscii-2.1.tgz
NetBSD 9.0x86_64unscii-2.1.tgz
NetBSD 9.0x86_64unscii-1.1.tgz
NetBSD 9.0x86_64unscii-1.1nb2.tgz
NetBSD 9.0x86_64unscii-2.1.tgz
NetBSD 9.0x86_64unscii-2.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.